LibreOffice: XDatabaseMetaData3 Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XDatabaseMetaData3 Interface Reference

extends the XDatabaseMetaData interface to allow retrieval of additional information. More...

`import "XDatabaseMetaData3.idl";`

Inheritance diagram for XDatabaseMetaData3:

## Public Member Functions
boolean | autoCommitFailureClosesAllResultSets () raises (SQLException)
| Retrieves whether a `SQLException` while autoCommit is `true` indicates that all open ResultSets are closed, even ones that are holdable.
boolean | generatedKeyAlwaysReturned () raises (SQLException)
| Retrieves whether a generated key will always be returned if the column name(s) or index(es) specified for the auto generated key column(s) are valid and the statement succeeds.
XResultSet | getAttributes ([in]string catalog, [in]string schemaPattern, [in]string typeNamePattern, [in]string attributeNamePattern) raises (SQLException)
| Retrieves a description of the given attribute of the given type for a user-defined type (UDT) that is available in the given schema and catalog.
XResultSet | getClientInfoProperties () raises (SQLException)
| Retrieves a list of the client info properties that the driver supports.
long | getDatabaseMajorVersion ()
| Retrieves the major version number of the underlying database.
long | getDatabaseMinorVersion ()
| Retrieves the minor version number of the underlying database.
XResultSet | getFunctions ([in]string catalog, [in]string schemaPattern, [in]string functionNamePattern) raises (SQLException)
| Retrieves a description of the system and user functions available in the given catalog.
XResultSet | getFunctionColumns ([in]string catalog, [in]string schemaPattern, [in]string functionNamePattern, [in]string columnNamePattern) raises (SQLException)
| Retrieves a description of the given catalog's system or user function parameters and return type.
long | getMaxLogicalLobSize () raises (SQLException)
| Retrieves the maximum number of bytes this database allows for the logical size for a `LOB`.
XResultSet | getPseudoColumns ([in]string catalog, [in]string schemaPattern, [in]string tableNamePattern, [in]string columnNamePattern) raises (SQLException)
| Retrieves a description of the pseudo or hidden columns available in a given table within the specified catalog and schema.
long | getResultSetHoldability () raises (SQLException)
| Retrieves this database's default holdability for `ResultSet` objects.
long | getRowIdLifetime () raises (SQLException)
| Indicates whether this data source supports the SQL `ROWID` type, and the lifetime for which a XRowId (see XRowId.idl) object remains valid.
XResultSet | getSchemasFiltered ([in] com::sun::star::beans::Optional< string > catalog, [in] com::sun::star::beans::Optional< string > schemaPattern) raises (SQLException)
| Retrieves the schema names available in this database.
long | getSQLStateType () raises (SQLException)
| Indicates whether the SQLSTATE returned by `SQLException.getSQLState` is X/Open (now known as Open Group) SQL CLI or SQL:2003.
XResultSet | getSuperTables ([in]string catalog, [in]string schemaPattern, [in]string tableNamePattern) raises (SQLException)
| Retrieves a description of the table hierarchies defined in a particular schema in this database.
XResultSet | getSuperTypes ([in]string catalog, [in]string schemaPattern, [in]string typeNamePattern) raises (SQLException)
| Retrieves a description of the user-defined type (UDT) hierarchies defined in a particular schema in this database.
boolean | locatorsUpdateCopy () raises (SQLException)
| Indicates whether updates made to a LOB are made on a copy or directly to the LOB.
boolean | supportsConvertInGeneral () raises (SQLException)
| Retrieves whether this database supports the SQL function CONVERT for the conversion between the data types defined in com::sun::star::sdbc::DataType (see supportsConvert in com::sun::star::sdbc::XDatabaseMetadata to test for support between specific types).
boolean | supportsGetGeneratedKeys () raises (SQLException)
| Retrieves whether auto-generated keys can be retrieved after a statement has been executed.
boolean | supportsMultipleOpenResults () raises (SQLException)
| Retrieves whether it is possible to have multiple `ResultSet` objects returned from a `CallableStatement` object simultaneously.
boolean | supportsNamedParameters () raises (SQLException)
| Retrieves whether this database supports named parameters to callable statements.
boolean | supportsRefCursors () raises (SQLException)
| Retrieves whether this database supports REF CURSOR.
boolean | supportsSavepoints () raises (SQLException)
| Retrieves whether this database supports savepoints.
boolean | supportsSharding () raises (SQLException)
| Retrieves whether this database supports sharding.
boolean | supportsStatementPooling () raises (SQLException)
| Retrieves whether this database supports statement pooling.
boolean | supportsStoredFunctionsUsingCallSyntax () raises (SQLException)
| Retrieves whether this database supports invoking user-defined or vendor functions using the stored procedure escape syntax.
Public Member Functions inherited from XDatabaseMetaData2
sequence< ::com::sun::star::beans::PropertyValue > | getConnectionInfo ()
| complements XDatabaseMetaData::getURL by returning the settings which, upon construction of the connection, have been used besides the connection URL.
Public Member Functions inherited from XDatabaseMetaData
boolean | allProceduresAreCallable () raises (SQLException)
| Can all the procedures returned by getProcedures be called by the current user?
boolean | allTablesAreSelectable () raises (SQLException)
| Can all the tables returned by getTable be SELECTed by the current user?
string | getURL () raises (SQLException)
| returns the URL for the database connection
string | getUserName () raises (SQLException)
| returns the user name from this database connection.
boolean | isReadOnly () raises (SQLException)
| checks if the database in read-only mode.
boolean | nullsAreSortedHigh () raises (SQLException)
| Are NULL values sorted high?
boolean | nullsAreSortedLow () raises (SQLException)
| Are NULL values sorted low?
boolean | nullsAreSortedAtStart () raises (SQLException)
| Are NULL values sorted at the start regardless of sort order?
boolean | nullsAreSortedAtEnd () raises (SQLException)
| Are NULL values sorted at the end, regardless of sort order?
string | getDatabaseProductName () raises (SQLException)
| returns the name of the database product.
string | getDatabaseProductVersion () raises (SQLException)
| returns the version of the database product.
string | getDriverName () raises (SQLException)
| returns the name of the SDBC driver.
string | getDriverVersion () raises (SQLException)
| returns the version number of the SDBC driver.
long | getDriverMajorVersion ()
| returns the SDBC driver major version number.
long | getDriverMinorVersion ()
| returns the SDBC driver minor version number.
boolean | usesLocalFiles () raises (SQLException)
| use the database local files to save the tables.
boolean | usesLocalFilePerTable () raises (SQLException)
| use the database one local file to save for each table.
boolean | supportsMixedCaseIdentifiers () raises (SQLException)
| use the database "mixed case unquoted SQL identifiers" case sensitive.
boolean | storesUpperCaseIdentifiers () raises (SQLException)
| Does the database treat mixed case unquoted SQL identifiers as case insensitive and store them in upper case?
boolean | storesLowerCaseIdentifiers () raises (SQLException)
| Does the database treat mixed case unquoted SQL identifiers as case insensitive and store them in lower case?
boolean | storesMixedCaseIdentifiers () raises (SQLException)
| Does the database treat mixed case unquoted SQL identifiers as case insensitive and store them in mixed case?
boolean | supportsMixedCaseQuotedIdentifiers () raises (SQLException)
| Does the database treat mixed case quoted SQL identifiers as case sensitive and as a result store them in mixed case?
boolean | storesUpperCaseQuotedIdentifiers () raises (SQLException)
| Does the database treat mixed case quoted SQL identifiers as case insensitive and store them in upper case?
boolean | storesLowerCaseQuotedIdentifiers () raises (SQLException)
| Does the database treat mixed case quoted SQL identifiers as case insensitive and store them in lower case?
boolean | storesMixedCaseQuotedIdentifiers () raises (SQLException)
| Does the database treat mixed case quoted SQL identifiers as case insensitive and store them in mixed case?
string | getIdentifierQuoteString () raises (SQLException)
| What's the string used to quote SQL identifiers?
string | getSQLKeywords () raises (SQLException)
| gets a comma-separated list of all a database's SQL keywords that are NOT also SQL92 keywords.
string | getNumericFunctions () raises (SQLException)
| gets a comma-separated list of math functions.
string | getStringFunctions () raises (SQLException)
| gets a comma-separated list of string functions.
string | getSystemFunctions () raises (SQLException)
| gets a comma-separated list of system functions.
string | getTimeDateFunctions () raises (SQLException)
| gets a comma-separated list of time and date functions.
string | getSearchStringEscape () raises (SQLException)
| gets the string that can be used to escape wildcard characters.
string | getExtraNameCharacters () raises (SQLException)
| gets all the "extra" characters that can be used in unquoted identifier names (those beyond a-z, A-Z, 0-9 and _).
boolean | supportsAlterTableWithAddColumn () raises (SQLException)
| support the Database "ALTER TABLE" with add column?
boolean | supportsAlterTableWithDropColumn () raises (SQLException)
| support the Database "ALTER TABLE" with drop column?
boolean | supportsColumnAliasing () raises (SQLException)
| support the Database column aliasing?
boolean | nullPlusNonNullIsNull () raises (SQLException)
| are concatenations between NULL and non-NULL values NULL?
boolean | supportsTypeConversion () raises (SQLException)
| TRUE , if the Database supports the CONVERT function between SQL types, otherwise FALSE.
boolean | supportsConvert ([in]long fromType, [in]long toType) raises (SQLException)
| TRUE , if the Database supports the CONVERT between the given SQL types otherwise FALSE.
boolean | supportsTableCorrelationNames () raises (SQLException)
| Are table correlation names supported?
boolean | supportsDifferentTableCorrelationNames () raises (SQLException)
| If table correlation names are supported, are they restricted to be different from the names of the tables?
boolean | supportsExpressionsInOrderBy () raises (SQLException)
| Are expressions in "ORDER BY" lists supported?
boolean | supportsOrderByUnrelated () raises (SQLException)
| Can an "ORDER BY" clause use columns not in the SELECT statement?
boolean | supportsGroupBy () raises (SQLException)
| Is some form of "GROUP BY" clause supported?
boolean | supportsGroupByUnrelated () raises (SQLException)
| Can a "GROUP BY" clause use columns not in the SELECT?
boolean | supportsGroupByBeyondSelect () raises (SQLException)
| Can a "GROUP BY" clause add columns not in the SELECT provided it specifies all the columns in the SELECT?
boolean | supportsLikeEscapeClause () raises (SQLException)
| Is the escape character in "LIKE" clauses supported?
boolean | supportsMultipleResultSets () raises (SQLException)
| Are multiple XResultSets from a single execute supported?
boolean | supportsMultipleTransactions () raises (SQLException)
| Can we have multiple transactions open at once (on different connections)?
boolean | supportsNonNullableColumns () raises (SQLException)
| Can columns be defined as non-nullable?
boolean | supportsMinimumSQLGrammar () raises (SQLException)
| TRUE, if the database supports ODBC Minimum SQL grammar, otherwise FALSE.
boolean | supportsCoreSQLGrammar () raises (SQLException)
| TRUE, if the database supports ODBC Core SQL grammar, otherwise FALSE.
boolean | supportsExtendedSQLGrammar () raises (SQLException)
boolean | supportsANSI92EntryLevelSQL () raises (SQLException)
boolean | supportsANSI92IntermediateSQL () raises (SQLException)
boolean | supportsANSI92FullSQL () raises (SQLException)
boolean | supportsIntegrityEnhancementFacility () raises (SQLException)
| returns TRUE, if the Database supports SQL Integrity Enhancement Facility, otherwise FALSE.
boolean | supportsOuterJoins () raises (SQLException)
boolean | supportsFullOuterJoins () raises (SQLException)
boolean | supportsLimitedOuterJoins () raises (SQLException)
string | getSchemaTerm () raises (SQLException)
| return the database vendor's preferred term for "schema"
string | getProcedureTerm () raises (SQLException)
| return the database vendor's preferred term for "procedure"
string | getCatalogTerm () raises (SQLException)
| return the database vendor's preferred term for "catalog"
boolean | isCatalogAtStart () raises (SQLException)
| Does a catalog appear at the start of a qualified table name?
string | getCatalogSeparator () raises (SQLException)
| return the separator between catalog and table name
boolean | supportsSchemasInDataManipulation () raises (SQLException)
| Can a schema name be used in a data manipulation statement?
boolean | supportsSchemasInProcedureCalls () raises (SQLException)
| Can a schema name be used in a procedure call statement?
boolean | supportsSchemasInTableDefinitions () raises (SQLException)
| Can a schema name be used in a table definition statement?
boolean | supportsSchemasInIndexDefinitions () raises (SQLException)
| Can a schema name be used in an index definition statement?
boolean | supportsSchemasInPrivilegeDefinitions () raises (SQLException)
| Can a schema name be used in a privilege definition statement?
boolean | supportsCatalogsInDataManipulation () raises (SQLException)
| Can a catalog name be used in a data manipulation statement?
boolean | supportsCatalogsInProcedureCalls () raises (SQLException)
| Can a catalog name be used in a procedure call statement?
boolean | supportsCatalogsInTableDefinitions () raises (SQLException)
| Can a catalog name be used in a table definition statement?
boolean | supportsCatalogsInIndexDefinitions () raises (SQLException)
| Can a catalog name be used in an index definition statement?
boolean | supportsCatalogsInPrivilegeDefinitions () raises (SQLException)
| Can a catalog name be used in a privilege definition statement?
boolean | supportsPositionedDelete () raises (SQLException)
| Is positioned DELETE supported?
boolean | supportsPositionedUpdate () raises (SQLException)
| Is positioned UPDATE supported?
boolean | supportsSelectForUpdate () raises (SQLException)
| Is SELECT for UPDATE supported?
boolean | supportsStoredProcedures () raises (SQLException)
| Are stored procedure calls using the stored procedure escape syntax supported?
boolean | supportsSubqueriesInComparisons () raises (SQLException)
| Are subqueries in comparison expressions supported?
boolean | supportsSubqueriesInExists () raises (SQLException)
| Are subqueries in "exists" expressions supported?
boolean | supportsSubqueriesInIns () raises (SQLException)
| Are subqueries in "in" statements supported?
boolean | supportsSubqueriesInQuantifieds () raises (SQLException)
| Are subqueries in quantified expressions supported?
boolean | supportsCorrelatedSubqueries () raises (SQLException)
| Are correlated subqueries supported?
boolean | supportsUnion () raises (SQLException)
| Is SQL UNION supported?
boolean | supportsUnionAll () raises (SQLException)
| Is SQL UNION ALL supported?
boolean | supportsOpenCursorsAcrossCommit () raises (SQLException)
| Can cursors remain open across commits?
boolean | supportsOpenCursorsAcrossRollback () raises (SQLException)
| Can cursors remain open across rollbacks?
boolean | supportsOpenStatementsAcrossCommit () raises (SQLException)
| Can statements remain open across commits?
boolean | supportsOpenStatementsAcrossRollback () raises (SQLException)
| Can statements remain open across rollbacks?
long | getMaxBinaryLiteralLength () raises (SQLException)
| return the maximal number of hex characters in an inline binary literal
long | getMaxCharLiteralLength () raises (SQLException)
| return the max length for a character literal
long | getMaxColumnNameLength () raises (SQLException)
| return the limit on column name length
long | getMaxColumnsInGroupBy () raises (SQLException)
| return the maximum number of columns in a "GROUP BY" clause
long | getMaxColumnsInIndex () raises (SQLException)
| return the maximum number of columns allowed in an index
long | getMaxColumnsInOrderBy () raises (SQLException)
| return the maximum number of columns in an "ORDER BY" clause
long | getMaxColumnsInSelect () raises (SQLException)
| return the maximum number of columns in a "SELECT" list
long | getMaxColumnsInTable () raises (SQLException)
| return the maximum number of columns in a table
long | getMaxConnections () raises (SQLException)
| return the number of active connections at a time to this database.
long | getMaxCursorNameLength () raises (SQLException)
| return the maximum cursor name length
long | getMaxIndexLength () raises (SQLException)
| return the maximum length of an index (in bytes)
long | getMaxSchemaNameLength () raises (SQLException)
| return the maximum length allowed for a schema name
long | getMaxProcedureNameLength () raises (SQLException)
| return the maximum length of a procedure name
long | getMaxCatalogNameLength () raises (SQLException)
| return the maximum length of a catalog name
long | getMaxRowSize () raises (SQLException)
| return the maximum length of a single row.
boolean | doesMaxRowSizeIncludeBlobs () raises (SQLException)
| Did getMaxRowSize() include LONGVARCHAR and LONGVARBINARY blobs?
long | getMaxStatementLength () raises (SQLException)
| return the maximum length of a SQL statement
long | getMaxStatements () raises (SQLException)
| return the maximal number of open active statements at one time to this database
long | getMaxTableNameLength () raises (SQLException)
| return the maximum length of a table name
long | getMaxTablesInSelect () raises (SQLException)
| return the maximum number of tables in a SELECT statement
long | getMaxUserNameLength () raises (SQLException)
| return the maximum length of a user name
long | getDefaultTransactionIsolation () raises (SQLException)
| return the database default transaction isolation level.
boolean | supportsTransactions () raises (SQLException)
| support the Database transactions?
boolean | supportsTransactionIsolationLevel ([in]long level) raises (SQLException)
| Does this database support the given transaction isolation level?
boolean | supportsDataDefinitionAndDataManipulationTransactions () raises (SQLException)
| support the Database both data definition and data manipulation statements within a transaction?
boolean | supportsDataManipulationTransactionsOnly () raises (SQLException)
| are only data manipulation statements within a transaction supported?
boolean | dataDefinitionCausesTransactionCommit () raises (SQLException)
| does a data definition statement within a transaction force the transaction to commit?
boolean | dataDefinitionIgnoredInTransactions () raises (SQLException)
| is a data definition statement within a transaction ignored?
XResultSet | getProcedures ([in]any catalog, [in]string schemaPattern, [in]string procedureNamePattern) raises (SQLException)
| Gets a description of the stored procedures available in a catalog.
XResultSet | getProcedureColumns ([in]any catalog, [in]string schemaPattern, [in]string procedureNamePattern, [in]string columnNamePattern) raises (SQLException)
| gets a description of a catalog's stored procedure parameters and result columns.
XResultSet | getTables ([in]any catalog, [in]string schemaPattern, [in]string tableNamePattern, [in]sequence< string > types) raises (SQLException)
| gets a description of tables available in a catalog.
XResultSet | getSchemas () raises (SQLException)
| Gets the schema names available in this database.
XResultSet | getCatalogs () raises (SQLException)
| gets the catalog names available in this database.
XResultSet | getTableTypes () raises (SQLException)
| gets the table types available in this database.
XResultSet | getColumns ([in]any catalog, [in]string schemaPattern, [in]string tableNamePattern, [in]string columnNamePattern) raises (SQLException)
| gets a description of table columns available in the specified catalog.
XResultSet | getColumnPrivileges ([in]any catalog, [in]string schema, [in]string table, [in]string columnNamePattern) raises (SQLException)
| gets a description of the access rights for a table's columns.
XResultSet | getTablePrivileges ([in]any catalog, [in]string schemaPattern, [in]string tableNamePattern) raises (SQLException)
| gets a description of the access rights for each table available in a catalog.
XResultSet | getBestRowIdentifier ([in]any catalog, [in]string schema, [in]string table, [in]long scope, [in] boolean nullable) raises (SQLException)
| gets a description of a table's optimal set of columns that uniquely identifies a row.
XResultSet | getVersionColumns ([in]any catalog, [in]string schema, [in]string table) raises (SQLException)
| gets a description of a table's columns that are automatically updated when any value in a row is updated.
XResultSet | getPrimaryKeys ([in]any catalog, [in]string schema, [in]string table) raises (SQLException)
| gets a description of a table's primary key columns.
XResultSet | getImportedKeys ([in]any catalog, [in]string schema, [in]string table) raises (SQLException)
| gets a description of the primary key columns that are referenced by a table's foreign key columns (the primary keys imported by a table).
XResultSet | getExportedKeys ([in]any catalog, [in]string schema, [in]string table) raises (SQLException)
| gets a description of the foreign key columns that reference a table's primary key columns (the foreign keys exported by a table).
XResultSet | getCrossReference ([in]any primaryCatalog, [in]string primarySchema, [in]string primaryTable, [in]any foreignCatalog, [in]string foreignSchema, [in]string foreignTable) raises (SQLException)
| gets a description of the foreign key columns in the foreign key table that reference the primary key columns of the primary key table (describe how one table imports another's key.) This should normally return a single foreign key/primary key pair (most tables only import a foreign key from a table once.).
XResultSet | getTypeInfo () raises (SQLException)
| gets a description of all the standard SQL types supported by this database.
XResultSet | getIndexInfo ([in]any catalog, [in]string schema, [in]string table, [in]boolean unique, [in]boolean approximate) raises (SQLException)
| gets a description of a table's indices and statistics.
boolean | supportsResultSetType ([in]long setType) raises (SQLException)
| Does the database support the given result set type?
boolean | supportsResultSetConcurrency ([in]long setType, [in]long concurrency) raises (SQLException)
| Does the database support the concurrency type in combination with the given result set type?
boolean | ownUpdatesAreVisible ([in]long setType) raises (SQLException)
| indicates whether a result set's own updates are visible.
boolean | ownDeletesAreVisible ([in]long setType) raises (SQLException)
| indicates whether a result set's own deletes are visible.
boolean | ownInsertsAreVisible ([in]long setType) raises (SQLException)
| indicates whether a result set's own inserts are visible.
boolean | othersUpdatesAreVisible ([in]long setType) raises (SQLException)
| indicates whether updates made by others are visible.
boolean | othersDeletesAreVisible ([in]long setType) raises (SQLException)
| indicates whether deletes made by others are visible.
boolean | othersInsertsAreVisible ([in]long setType) raises (SQLException)
| indicates whether inserts made by others are visible.
boolean | updatesAreDetected ([in]long setType) raises (SQLException)
| indicates whether or not a visible row update can be detected by calling the method `XResultSet.rowUpdated`.
boolean | deletesAreDetected ([in]long setType) raises (SQLException)
| indicates whether or not a visible row delete can be detected by calling com::sun::star::sdbc::XResultSet::rowDeleted().
boolean | insertsAreDetected ([in]long setType) raises (SQLException)
| indicates whether or not a visible row insert can be detected by calling com::sun::star::sdbc::XResultSet::rowInserted().
boolean | supportsBatchUpdates () raises (SQLException)
| indicates whether the driver supports batch updates.
XResultSet | getUDTs ([in]any catalog, [in]string schemaPattern, [in]string typeNamePattern, [in]sequence< long > types) raises (SQLException)
| Gets a description of the user-defined types defined in a particular schema.
XConnection | getConnection () raises (SQLException)
| retrieves the connection that produced this metadata object.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

extends the XDatabaseMetaData interface to allow retrieval of additional information.

Since
  LibreOffice 25.2

## Member Function Documentation

## ◆ autoCommitFailureClosesAllResultSets()

boolean autoCommitFailureClosesAllResultSets | ( |  | ) |
raises | ( | SQLException ) |  |  |

Retrieves whether a `SQLException` while autoCommit is `true` indicates that all open ResultSets are closed, even ones that are holdable.

When a `SQLException` occurs while autocommit is `true`, it is vendor specific whether the JDBC driver responds with a commit operation, a rollback operation, or by doing neither a commit nor a rollback. A potential result of this difference is in whether or not holdable ResultSets are closed.

Returns
  `true` if so; `false` otherwise

Exceptions

  SQLException | if a database access error occurs

## ◆ generatedKeyAlwaysReturned()

boolean generatedKeyAlwaysReturned | ( |  | ) |
raises | ( | SQLException ) |  |  |

Retrieves whether a generated key will always be returned if the column name(s) or index(es) specified for the auto generated key column(s) are valid and the statement succeeds.

The key that is returned may or may not be based on the column(s) for the auto generated key. Consult your JDBC driver documentation for additional details.

Returns
  `true` if so; `false` otherwise

Exceptions

  SQLException | if a database access error occurs

## ◆ getAttributes()

XResultSet getAttributes | ( | [in] string | catalog,
|  | [in] string | schemaPattern,
|  | [in] string | typeNamePattern,
|  | [in] string | attributeNamePattern )
raises | ( | SQLException ) |  |  |

Retrieves a description of the given attribute of the given type for a user-defined type (UDT) that is available in the given schema and catalog.

Descriptions are returned only for attributes of UDTs matching the catalog, schema, type, and attribute name criteria. They are ordered by `TYPE_CAT`, `TYPE_SCHEM`, `TYPE_NAME` and `ORDINAL_POSITION`. This description does not contain inherited attributes.

The `ResultSet` object that is returned has the following columns:

1. TYPE_CAT String `=>` type catalog (may be `null`)
2. TYPE_SCHEM String `=>` type schema (may be `null`)
3. TYPE_NAME String `=>` type name
4. ATTR_NAME String `=>` attribute name
5. DATA_TYPE int `=>` attribute type SQL type from com::sun::star::sdbc::DataType
6. ATTR_TYPE_NAME String `=>` Data source dependent type name. For a UDT, the type name is fully qualified. For a REF, the type name is fully qualified and represents the target type of the reference type.
7. ATTR_SIZE int `=>` column size. For char or date types this is the maximum number of characters; for numeric or decimal types this is precision.
8. DECIMAL_DIGITS int `=>` the number of fractional digits. Null is returned for data types where DECIMAL_DIGITS is not applicable.
9. NUM_PREC_RADIX int `=>` Radix (typically either 10 or 2)
10. NULLABLE int `=>` whether NULL is allowed
    - attributeNoNulls - might not allow NULL values
    - attributeNullable - definitely allows NULL values
    - attributeNullableUnknown - nullability unknown
11. REMARKS String `=>` comment describing column (may be `null`)
12. ATTR_DEF String `=>` default value (may be `null`)
13. SQL_DATA_TYPE int `=>` unused
14. SQL_DATETIME_SUB int `=>` unused
15. CHAR_OCTET_LENGTH int `=>` for char types the maximum number of bytes in the column
16. ORDINAL_POSITION int `=>` index of the attribute in the UDT (starting at 1)
17. IS_NULLABLE String `=>` ISO rules are used to determine the nullability for a attribute.
    - YES — if the attribute can include NULLs
    - NO — if the attribute cannot include NULLs
    - empty string — if the nullability for the attribute is unknown
18. SCOPE_CATALOG String `=>` catalog of table that is the scope of a reference attribute (`null` if DATA_TYPE isn't REF)
19. SCOPE_SCHEMA String `=>` schema of table that is the scope of a reference attribute (`null` if DATA_TYPE isn't REF)
20. SCOPE_TABLE String `=>` table name that is the scope of a reference attribute (`null` if the DATA_TYPE isn't REF)
21. SOURCE_DATA_TYPE short `=>` source type of a distinct type or user-generated Ref type, SQL type from com::sun::star::sdbc::DataType (`null` if DATA_TYPE isn't DISTINCT or user-generated REF)

Parameters

  catalog | a catalog name; must match the catalog name as it is stored in the database; "" retrieves those without a catalog; `null` means that the catalog name should not be used to narrow the search
  schemaPattern | a schema name pattern; must match the schema name as it is stored in the database; "" retrieves those without a schema; `null` means that the schema name should not be used to narrow the search
  typeNamePattern | a type name pattern; must match the type name as it is stored in the database
  attributeNamePattern | an attribute name pattern; must match the attribute name as it is declared in the database

Returns
  a `ResultSet` object in which each row is an attribute description

Exceptions

  SQLException | if a database access error occurs.

## ◆ getClientInfoProperties()

XResultSet getClientInfoProperties | ( |  | ) |
raises | ( | SQLException ) |  |  |

Retrieves a list of the client info properties that the driver supports.

The result set contains the following columns

1. NAME String`=>` The name of the client info property
2. MAX_LEN int`=>` The maximum length of the value for the property
3. DEFAULT_VALUE String`=>` The default value of the property
4. DESCRIPTION String`=>` A description of the property. This will typically contain information as to where this property is stored in the database.

The `ResultSet` is sorted by the NAME column

Returns
  A `ResultSet` object; each row is a supported client info property

Exceptions

  SQLException | if a database access error occurs

## ◆ getDatabaseMajorVersion()

long getDatabaseMajorVersion | ( |  | ) |

Retrieves the major version number of the underlying database.

Returns
  the underlying database's major version

Exceptions

  SQLException | if a database access error occurs

## ◆ getDatabaseMinorVersion()

long getDatabaseMinorVersion | ( |  | ) |

Retrieves the minor version number of the underlying database.

Returns
  underlying database's minor version

Exceptions

  SQLException | if a database access error occurs

## ◆ getFunctionColumns()

XResultSet getFunctionColumns | ( | [in] string | catalog,
|  | [in] string | schemaPattern,
|  | [in] string | functionNamePattern,
|  | [in] string | columnNamePattern )
raises | ( | SQLException ) |  |  |

Retrieves a description of the given catalog's system or user function parameters and return type.

Only descriptions matching the schema, function and parameter name criteria are returned. They are ordered by `FUNCTION_CAT`, `FUNCTION_SCHEM`, `FUNCTION_NAME` and `SPECIFIC_NAME`. Within this, the return value, if any, is first. Next are the parameter descriptions in call order. The column descriptions follow in column number order.

Each row in the `ResultSet` is a parameter description, column description or return type description with the following fields:

1. FUNCTION_CAT String `=>` function catalog (may be `null`)
2. FUNCTION_SCHEM String `=>` function schema (may be `null`)
3. FUNCTION_NAME String `=>` function name. This is the name used to invoke the function
4. COLUMN_NAME String `=>` column/parameter name
5. COLUMN_TYPE Short `=>` kind of column/parameter:
   - functionColumnUnknown - nobody knows
   - functionColumnIn - IN parameter
   - functionColumnInOut - INOUT parameter
   - functionColumnOut - OUT parameter
   - functionReturn - function return value
   - functionColumnResult - Indicates that the parameter or column is a column in the `ResultSet`
6. DATA_TYPE int `=>` SQL type from com::sun::star::sdbc::DataType
7. TYPE_NAME String `=>` SQL type name, for a UDT type the type name is fully qualified
8. PRECISION int `=>` precision
9. LENGTH int `=>` length in bytes of data
10. SCALE short `=>` scale - null is returned for data types where SCALE is not applicable.
11. RADIX short `=>` radix
12. NULLABLE short `=>` can it contain NULL.
    - functionNoNulls - does not allow NULL values
    - functionNullable - allows NULL values
    - functionNullableUnknown - nullability unknown
13. REMARKS String `=>` comment describing column/parameter
14. CHAR_OCTET_LENGTH int `=>` the maximum length of binary and character based parameters or columns. For any other datatype the returned value is a NULL
15. ORDINAL_POSITION int `=>` the ordinal position, starting from 1, for the input and output parameters. A value of 0 is returned if this row describes the function's return value. For result set columns, it is the ordinal position of the column in the result set starting from 1.
16. IS_NULLABLE String `=>` ISO rules are used to determine the nullability for a parameter or column.
    - YES — if the parameter or column can include NULLs
    - NO — if the parameter or column cannot include NULLs
    - empty string — if the nullability for the parameter or column is unknown
17. SPECIFIC_NAME String `=>` the name which uniquely identifies this function within its schema. This is a user specified, or DBMS generated, name that may be different from the `FUNCTION_NAME` for example with overload functions

The PRECISION column represents the specified column size for the given parameter or column. For numeric data, this is the maximum precision. For character data, this is the length in characters. For datetime datatypes, this is the length in characters of the String representation (assuming the maximum allowed precision of the fractional seconds component). For binary data, this is the length in bytes. For the ROWID datatype, this is the length in bytes. Null is returned for data types where the column size is not applicable.

Parameters

  catalog | a catalog name; must match the catalog name as it is stored in the database; "" retrieves those without a catalog; `null` means that the catalog name should not be used to narrow the search
  schemaPattern | a schema name pattern; must match the schema name as it is stored in the database; "" retrieves those without a schema; `null` means that the schema name should not be used to narrow the search
  functionNamePattern | a procedure name pattern; must match the function name as it is stored in the database
  columnNamePattern | a parameter name pattern; must match the parameter or column name as it is stored in the database

Returns
  `ResultSet` - each row describes a user function parameter, column or return type

Exceptions

  SQLException | if a database access error occurs

## ◆ getFunctions()

XResultSet getFunctions | ( | [in] string | catalog,
|  | [in] string | schemaPattern,
|  | [in] string | functionNamePattern )
raises | ( | SQLException ) |  |  |

Retrieves a description of the system and user functions available in the given catalog.

Only system and user function descriptions matching the schema and function name criteria are returned. They are ordered by `FUNCTION_CAT`, `FUNCTION_SCHEM`, `FUNCTION_NAME` and `SPECIFIC_NAME`.

Each function description has the following columns:

1. FUNCTION_CAT String `=>` function catalog (may be `null`)
2. FUNCTION_SCHEM String `=>` function schema (may be `null`)
3. FUNCTION_NAME String `=>` function name. This is the name used to invoke the function
4. REMARKS String `=>` explanatory comment on the function
5. FUNCTION_TYPE short `=>` kind of function:
   - functionResultUnknown - Cannot determine if a return value or table will be returned
   - functionNoTable- Does not return a table
   - functionReturnsTable - Returns a table
6. SPECIFIC_NAME String `=>` the name which uniquely identifies this function within its schema. This is a user specified, or DBMS generated, name that may be different from the `FUNCTION_NAME` for example with overload functions

A user may not have permission to execute any of the functions that are returned by `getFunctions`

Parameters

  catalog | a catalog name; must match the catalog name as it is stored in the database; "" retrieves those without a catalog; `null` means that the catalog name should not be used to narrow the search
  schemaPattern | a schema name pattern; must match the schema name as it is stored in the database; "" retrieves those without a schema; `null` means that the schema name should not be used to narrow the search
  functionNamePattern | a function name pattern; must match the function name as it is stored in the database

Returns
  `ResultSet` - each row is a function description

Exceptions

  SQLException | if a database access error occurs

## ◆ getMaxLogicalLobSize()

long getMaxLogicalLobSize | ( |  | ) |
raises | ( | SQLException ) |  |  |

Retrieves the maximum number of bytes this database allows for the logical size for a `LOB`.

The default implementation will return `0`

Returns
  the maximum number of bytes allowed; a result of zero means that there is no limit or the limit is not known

Exceptions

  SQLException | if a database access error occurs

## ◆ getPseudoColumns()

XResultSet getPseudoColumns | ( | [in] string | catalog,
|  | [in] string | schemaPattern,
|  | [in] string | tableNamePattern,
|  | [in] string | columnNamePattern )
raises | ( | SQLException ) |  |  |

Retrieves a description of the pseudo or hidden columns available in a given table within the specified catalog and schema.

Pseudo or hidden columns may not always be stored within a table and are not visible in a ResultSet unless they are specified in the query's outermost SELECT list. Pseudo or hidden columns may not necessarily be able to be modified. If there are no pseudo or hidden columns, an empty ResultSet is returned.

Only column descriptions matching the catalog, schema, table and column name criteria are returned. They are ordered by `TABLE_CAT`,`TABLE_SCHEM`, `TABLE_NAME` and `COLUMN_NAME`.

Each column description has the following columns:

1. TABLE_CAT String `=>` table catalog (may be `null`)
2. TABLE_SCHEM String `=>` table schema (may be `null`)
3. TABLE_NAME String `=>` table name
4. COLUMN_NAME String `=>` column name
5. DATA_TYPE int `=>` SQL type from com::sun::star::sdbc::DataType
6. COLUMN_SIZE int `=>` column size.
7. DECIMAL_DIGITS int `=>` the number of fractional digits. Null is returned for data types where DECIMAL_DIGITS is not applicable.
8. NUM_PREC_RADIX int `=>` Radix (typically either 10 or 2)
9. COLUMN_USAGE String `=>` The allowed usage for the column. The value returned will correspond to the name of a value defined in PseudoColumnUsage
   See also
     PseudoColumnUsage.idl
10. REMARKS String `=>` comment describing column (may be `null`)
11. CHAR_OCTET_LENGTH int `=>` for char types the maximum number of bytes in the column
12. IS_NULLABLE String `=>` ISO rules are used to determine the nullability for a column.
    - YES — if the column can include NULLs
    - NO — if the column cannot include NULLs
    - empty string — if the nullability for the column is unknown

The COLUMN_SIZE column specifies the column size for the given column. For numeric data, this is the maximum precision. For character data, this is the length in characters. For datetime datatypes, this is the length in characters of the String representation (assuming the maximum allowed precision of the fractional seconds component). For binary data, this is the length in bytes. For the ROWID datatype, this is the length in bytes. Null is returned for data types where the column size is not applicable.

Parameters

  catalog | a catalog name; must match the catalog name as it is stored in the database; "" retrieves those without a catalog; `null` means that the catalog name should not be used to narrow the search
  schemaPattern | a schema name pattern; must match the schema name as it is stored in the database; "" retrieves those without a schema; `null` means that the schema name should not be used to narrow the search
  tableNamePattern | a table name pattern; must match the table name as it is stored in the database
  columnNamePattern | a column name pattern; must match the column name as it is stored in the database

Returns
  `ResultSet` - each row is a column description

Exceptions

  SQLException | if a database access error occurs

## ◆ getResultSetHoldability()

long getResultSetHoldability | ( |  | ) |
raises | ( | SQLException ) |  |  |

Retrieves this database's default holdability for `ResultSet` objects.

Returns
  the default holdability; either `ResultSet.HOLD_CURSORS_OVER_COMMIT` or `ResultSet.CLOSE_CURSORS_AT_COMMIT`

Exceptions

  SQLException | if a database access error occurs

## ◆ getRowIdLifetime()

long getRowIdLifetime | ( |  | ) |
raises | ( | SQLException ) |  |  |

Indicates whether this data source supports the SQL `ROWID` type, and the lifetime for which a XRowId (see XRowId.idl) object remains valid.

Returns
  one of the constants from RowIdLifetime (see RowIdLifetime.idl)

Exceptions

  SQLException | if a database access error occurs

## ◆ getSchemasFiltered()

XResultSet getSchemasFiltered | ( | [in] com::sun::star::beans::Optional< string > | catalog,
|  | [in] com::sun::star::beans::Optional< string > | schemaPattern )
raises | ( | SQLException ) |  |  |

Retrieves the schema names available in this database.

The results are ordered by `TABLE_CATALOG` and `TABLE_SCHEM`.

The schema columns are:

1. TABLE_SCHEM String `=>` schema name
2. TABLE_CATALOG String `=>` catalog name (may be `null`)

Parameters

  catalog | an optional catalog name; if absent (catalog.IsPresent is false), catalog name is not used to narrow down the search. if present, then only the results for which catalog.Value matches the catalog name as it is stored in the database; Note that catalog.IsPresent and catalog.Value == "" retrieves those without a catalog
  schemaPattern | a optional schema name; if absent means it should not be used to narrow down the search if present, must match the schema name as it is stored in the database

Returns
  a `ResultSet` object in which each row is a schema description

Exceptions

  SQLException | if a database access error occurs

## ◆ getSQLStateType()

long getSQLStateType | ( |  | ) |
raises | ( | SQLException ) |  |  |

Indicates whether the SQLSTATE returned by `SQLException.getSQLState` is X/Open (now known as Open Group) SQL CLI or SQL:2003.

Returns
  the type of SQLSTATE; one of: sqlStateXOpen or sqlStateSQL

Exceptions

  SQLException | if a database access error occurs

## ◆ getSuperTables()

XResultSet getSuperTables | ( | [in] string | catalog,
|  | [in] string | schemaPattern,
|  | [in] string | tableNamePattern )
raises | ( | SQLException ) |  |  |

Retrieves a description of the table hierarchies defined in a particular schema in this database.

Only supertable information for tables matching the catalog, schema and table name are returned. The table name parameter may be a fully- qualified name, in which case, the catalog and schemaPattern parameters are ignored. If a table does not have a super table, it is not listed here. Supertables have to be defined in the same catalog and schema as the sub tables. Therefore, the type description does not need to include this information for the supertable.

Each type description has the following columns:

1. TABLE_CAT String `=>` the type's catalog (may be `null`)
2. TABLE_SCHEM String `=>` type's schema (may be `null`)
3. TABLE_NAME String `=>` type name
4. SUPERTABLE_NAME String `=>` the direct super type's name

Note: If the driver does not support type hierarchies, an empty result set is returned.

Parameters

  catalog | a catalog name; "" retrieves those without a catalog; `null` means drop catalog name from the selection criteria
  schemaPattern | a schema name pattern; "" retrieves those without a schema
  tableNamePattern | a table name pattern; may be a fully-qualified name

Returns
  a `ResultSet` object in which each row is a type description

Exceptions

  SQLException | if a database access error occurs

## ◆ getSuperTypes()

XResultSet getSuperTypes | ( | [in] string | catalog,
|  | [in] string | schemaPattern,
|  | [in] string | typeNamePattern )
raises | ( | SQLException ) |  |  |

Retrieves a description of the user-defined type (UDT) hierarchies defined in a particular schema in this database.

Only the immediate super type/ sub type relationship is modeled.

Only supertype information for UDTs matching the catalog, schema, and type name is returned. The type name parameter may be a fully-qualified name. When the UDT name supplied is a fully-qualified name, the catalog and schemaPattern parameters are ignored.

If a UDT does not have a direct super type, it is not listed here. A row of the `ResultSet` object returned by this method describes the designated UDT and a direct supertype. A row has the following columns:

1. TYPE_CAT String `=>` the UDT's catalog (may be `null`)
2. TYPE_SCHEM String `=>` UDT's schema (may be `null`)
3. TYPE_NAME String `=>` type name of the UDT
4. SUPERTYPE_CAT String `=>` the direct super type's catalog (may be `null`)
5. SUPERTYPE_SCHEM String `=>` the direct super type's schema (may be `null`)
6. SUPERTYPE_NAME String `=>` the direct super type's name

Note: If the driver does not support type hierarchies, an empty result set is returned.

Parameters

  catalog | a catalog name; "" retrieves those without a catalog; `null` means drop catalog name from the selection criteria
  schemaPattern | a schema name pattern; "" retrieves those without a schema
  typeNamePattern | a UDT name pattern; may be a fully-qualified name

Returns
  a `ResultSet` object in which a row gives information about the designated UDT

Exceptions

  SQLException | if a database access error occurs

## ◆ locatorsUpdateCopy()

boolean locatorsUpdateCopy | ( |  | ) |
raises | ( | SQLException ) |  |  |

Indicates whether updates made to a LOB are made on a copy or directly to the LOB.

Returns
  `true` if updates are made to a copy of the LOB; `false` if updates are made directly to the LOB

Exceptions

  SQLException | if a database access error occurs

## ◆ supportsConvertInGeneral()

boolean supportsConvertInGeneral | ( |  | ) |
raises | ( | SQLException ) |  |  |

Retrieves whether this database supports the SQL function CONVERT for the conversion between the data types defined in com::sun::star::sdbc::DataType (see supportsConvert in com::sun::star::sdbc::XDatabaseMetadata to test for support between specific types).

Returns
  true if so; false otherwise

Exceptions

  SQLException | if a database access error occurs.

## ◆ supportsGetGeneratedKeys()

boolean supportsGetGeneratedKeys | ( |  | ) |
raises | ( | SQLException ) |  |  |

Retrieves whether auto-generated keys can be retrieved after a statement has been executed.

Returns
  `true` if auto-generated keys can be retrieved after a statement has executed; `false` otherwise

If `true` is returned, the JDBC driver must support the returning of auto-generated keys for at least SQL INSERT statements

Exceptions

  SQLException | if a database access error occurs

## ◆ supportsMultipleOpenResults()

boolean supportsMultipleOpenResults | ( |  | ) |
raises | ( | SQLException ) |  |  |

Retrieves whether it is possible to have multiple `ResultSet` objects returned from a `CallableStatement` object simultaneously.

Returns
  `true` if a `CallableStatement` object can return multiple `ResultSet` objects simultaneously; `false` otherwise

Exceptions

  SQLException | if a database access error occurs

## ◆ supportsNamedParameters()

boolean supportsNamedParameters | ( |  | ) |
raises | ( | SQLException ) |  |  |

Retrieves whether this database supports named parameters to callable statements.

Returns
  `true` if named parameters are supported; `false` otherwise

Exceptions

  SQLException | if a database access error occurs

## ◆ supportsRefCursors()

boolean supportsRefCursors | ( |  | ) |
raises | ( | SQLException ) |  |  |

Retrieves whether this database supports REF CURSOR.

The default implementation will return `false`

Returns
  `true` if this database supports REF CURSOR; `false` otherwise

Exceptions

  SQLException | if a database access error occurs

## ◆ supportsSavepoints()

boolean supportsSavepoints | ( |  | ) |
raises | ( | SQLException ) |  |  |

Retrieves whether this database supports savepoints.

Returns
  `true` if savepoints are supported; `false` otherwise

Exceptions

  SQLException | if a database access error occurs

## ◆ supportsSharding()

boolean supportsSharding | ( |  | ) |
raises | ( | SQLException ) |  |  |

Retrieves whether this database supports sharding.

The default implementation will return `false`

Returns
  `true` if this database supports sharding; `false` otherwise

Exceptions

  SQLException | if a database access error occurs

## ◆ supportsStatementPooling()

boolean supportsStatementPooling | ( |  | ) |
raises | ( | SQLException ) |  |  |

Retrieves whether this database supports statement pooling.

Returns
  `true` if so; `false` otherwise

Exceptions

  SQLException | if a database access error occurs

## ◆ supportsStoredFunctionsUsingCallSyntax()

boolean supportsStoredFunctionsUsingCallSyntax | ( |  | ) |
raises | ( | SQLException ) |  |  |

Retrieves whether this database supports invoking user-defined or vendor functions using the stored procedure escape syntax.

Returns
  `true` if so; `false` otherwise

Exceptions

  SQLException | if a database access error occurs

The documentation for this interface was generated from the following file:

- com/sun/star/sdbc/XDatabaseMetaData3.idl